Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Friends
ArgusSamples::GalleryItem Class Reference

Represents an item in the gallery. More...

Inheritance diagram for ArgusSamples::GalleryItem:

List of all members.

## Public Types
enum | Type { TYPE_IMAGE, TYPE_VIDEO, TYPE_INVALID }
| item types More...

## Public Member Functions
| GalleryItem (const char *fileName, time_t modTime)
virtual | ~GalleryItem ()
virtual bool | initialize ()=0
| Initialize.
virtual bool | shutdown ()=0
| shutdown
virtual bool | startDisplay ()
| Start the display.
virtual bool | pauseDisplay ()
| Pause the display.
virtual bool | togglePlayBack ()
| Toggle playback.
virtual bool | rewind ()
| Rewind.
virtual Type | getType () const =0
| Get the item type.
const std::string & | getFileName () const
| Get the file name.

## Protected Member Functions
| GalleryItem ()

## Protected Attributes
std::string | m_fileName
time_t | m_modTime

## Friends
bool | operator< (const GalleryItem &l, const GalleryItem &r)
| Compare function for sort().

## Detailed Description

Represents an item in the gallery.

Definition at line 76 of file Gallery.cpp.

## Member Enumeration Documentation

enum ArgusSamples::GalleryItem::Type

item types

Enumerator:

  TYPE_IMAGE |
  TYPE_VIDEO |
  TYPE_INVALID |

Definition at line 92 of file Gallery.cpp.

## Constructor & Destructor Documentation

ArgusSamples::GalleryItem::GalleryItem | ( | const char * | fileName,
|  | time_t | modTime
| ) |  |
| inline

Definition at line 79 of file Gallery.cpp.

virtual ArgusSamples::GalleryItem::~GalleryItem | ( |  | ) |
| inline virtual

Definition at line 85 of file Gallery.cpp.

ArgusSamples::GalleryItem::GalleryItem | ( |  | ) |
| protected

## Member Function Documentation

const std::string& ArgusSamples::GalleryItem::getFileName | ( |  | ) | const
| inline

Get the file name.

Definition at line 146 of file Gallery.cpp.

virtual Type ArgusSamples::GalleryItem::getType | ( |  | ) | const
| pure virtual

Get the item type.

Implemented in ArgusSamples::GalleryItemVideo, and ArgusSamples::GalleryItemImage.

virtual bool ArgusSamples::GalleryItem::initialize | ( |  | ) |
| pure virtual

Initialize.

Implemented in ArgusSamples::GalleryItemVideo, and ArgusSamples::GalleryItemImage.

virtual bool ArgusSamples::GalleryItem::pauseDisplay | ( |  | ) |
| inline virtual

Pause the display.

Reimplemented in ArgusSamples::GalleryItemVideo.

Definition at line 126 of file Gallery.cpp.

virtual bool ArgusSamples::GalleryItem::rewind | ( |  | ) |
| inline virtual

Rewind.

Reimplemented in ArgusSamples::GalleryItemVideo.

Definition at line 136 of file Gallery.cpp.

virtual bool ArgusSamples::GalleryItem::shutdown | ( |  | ) |
| pure virtual

shutdown

Implemented in ArgusSamples::GalleryItemVideo, and ArgusSamples::GalleryItemImage.

virtual bool ArgusSamples::GalleryItem::startDisplay | ( |  | ) |
| inline virtual

Start the display.

Reimplemented in ArgusSamples::GalleryItemVideo.

Definition at line 121 of file Gallery.cpp.

virtual bool ArgusSamples::GalleryItem::togglePlayBack | ( |  | ) |
| inline virtual

Toggle playback.

Reimplemented in ArgusSamples::GalleryItemVideo.

Definition at line 131 of file Gallery.cpp.

## Friends And Related Function Documentation

bool operator< | ( | const GalleryItem & | l,
|  | const GalleryItem & | r
| ) |  |
| friend

Compare function for sort().

Returns true if the first argument goes before the second argument, and false otherwise.

Definition at line 103 of file Gallery.cpp.

## Member Data Documentation

std::string ArgusSamples::GalleryItem::m_fileName
| protected

Definition at line 152 of file Gallery.cpp.

time_t ArgusSamples::GalleryItem::m_modTime
| protected

Definition at line 153 of file Gallery.cpp.

The documentation for this class was generated from the following file:

- modules/tasks/Gallery.cpp